Drop echo tables from local wiki databases
Closed, ResolvedPublic

Description

The following tables:

echo_email_batch
echo_event
echo_notification
echo_target_page

Are used in x1 but not on local wikis (check this for the proof on dbstore2001: T54921#2880996) and then should be dropped from local wikis.

The following database on the other hand DO NOT USE x1, and need to be EXCLUDED from the list of wikis from where the tables need to be dropped.

mediawikiwiki
metawiki
officewiki
labswiki
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2016, 10:22 AM

I will start by making sure they are indeed not written.
An easy test without messing up with production (and which is needed anyways to export x1 to dbstore2001 T151552)) will be to rename all those tables in dbstore2001 before dropping them, just to make sure RBR doesn't break because they are written somehow.

Marostegui moved this task from Triage to Next on the DBA board.Dec 19 2016, 10:25 AM

Note wikitech is not a database itself, in this context it is a database list containg labswiki and labtestwiki, hosted on silver and labtestweb2001 respectively

Marostegui updated the task description. (Show Details)Dec 19 2016, 10:30 AM

Note wikitech is not a database itself, in this context it is a database list containg labswiki and labtestwiki, hosted on silver and labtestweb2001 respectively

Thanks! I have edited the task description

Legoktm updated the task description. (Show Details)Dec 19 2016, 10:36 AM

I want to start working on this slowly in the background as doing T136428 was confusing and painful with so many echo tables that were all over the shards and not really needed.

in db2057 (s3) I have renamed all the echo tables to:

T153638_echo_xxxx

Just to make sure replication doesn't break, I will leave it like that for a few days before dropping them (after taking a backup)

Marostegui moved this task from Next to Backlog on the DBA board.Jul 12 2017, 7:38 AM

This bite us today when changing some indexes, so I am going to start deleting these tables in core. They were renamed at T153638#3097450 and nothing broken, and nothing has broken since codfw is active.
So I am going to slowly start dropping those tables in all the wikis apart from the following wikis:

// Use extension1 db for all wikis
'wmgEchoCluster' => [
    'default' => 'extension1',
    // The following wikis should be using extension1 db but started with
    // the application main database, stick with the current setting
    'wikitech' => false,
    'mediawikiwiki' => false,
    'metawiki' => false,
    'officewiki' => false,
],

An example that these tables aren't in use in s3 (apart from the wikis above) is that a new wiki (T167715) doesn't have them:

root@db2057:/srv/sqldata/atjwiki# ls -lh | grep -i echo
root@db2057:/srv/sqldata/atjwiki#
Marostegui moved this task from Backlog to In progress on the DBA board.Tue, Sep 18, 9:04 AM
Marostegui added a comment.EditedTue, Sep 18, 9:19 AM

From s3 the following wikis will need to get the table deleted:

1aawiki
2aawikibooks
3aawiktionary
4abwiki
5abwiktionary
6acewiki
7advisorywiki
8afwiki
9afwikibooks
10afwikiquote
11akwiki
12akwikibooks
13akwiktionary
14alswikibooks
15alswikiquote
16alswiktionary
17amwikiquote
18amwiktionary
19angwikibooks
20angwikiquote
21angwikisource
22angwiktionary
23anwiktionary
24arbcom_dewiki
25arbcom_enwiki
26arbcom_fiwiki
27arbcom_nlwiki
28arcwiki
29arwikimedia
30arwikiversity
31astwikibooks
32astwikiquote
33aswikibooks
34aswikisource
35aswiktionary
36auditcomwiki
37avwiki
38avwiktionary
39aywiki
40aywikibooks
41aywiktionary
42azwikibooks
43azwikiquote
44azwikisource
45bawikibooks
46bdwikimedia
47bewikibooks
48bewikimedia
49bewikiquote
50bewikisource
51bewiktionary
52bgwikibooks
53bgwikinews
54bgwikisource
55bhwiki
56bhwiktionary
57biwiki
58biwikibooks
59biwiktionary
60bjnwiki
61bmwiki
62bmwikibooks
63bmwikiquote
64bmwiktionary
65bnwikibooks
66bnwikisource
67bnwiktionary
68boardgovcomwiki
69boardwiki
70bowikibooks
71bowiktionary
72brwikimedia
73brwikiquote
74bswikibooks
75bswikinews
76bswikiquote
77bswikisource
78bswiktionary
79bxrwiki
80cawikibooks
81cawikinews
82cawikiquote
83cbk_zamwiki
84cdowiki
85chairwiki
86chapcomwiki
87checkuserwiki
88chowiki
89chrwiki
90chwiki
91chwikibooks
92chwiktionary
93chywiki
94collabwiki
95cowikibooks
96cowikimedia
97cowikiquote
98cowiktionary
99crhwiki
100crwiki
101crwikiquote
102crwiktionary
103csbwiki
104csbwiktionary
105cswikibooks
106cswikinews
107cswikiquote
108cswikiversity
109cuwiki
110cvwikibooks
111cywikibooks
112cywikiquote
113cywikisource
114dawikibooks
115dawikiquote
116dkwikimedia
117donatewiki
118dsbwiki
119dvwiktionary
120dzwiki
121dzwiktionary
122eewiki
123elwikibooks
124elwikinews
125elwikiquote
126elwikiversity
127elwikivoyage
128enwikivoyage
129eowikibooks
130eowikinews
131eowikiquote
132eowikisource
133eswikiversity
134eswikivoyage
135etwikibooks
136etwikimedia
137etwikiquote
138etwikisource
139euwikibooks
140euwikiquote
141execwiki
142extwiki
143fawikibooks
144fawikiquote
145fdcwiki
146ffwiki
147fiu_vrowiki
148fiwikibooks
149fiwikimedia
150fiwikinews
151fiwikiquote
152fiwikiversity
153fjwiki
154fowikisource
155fowiktionary
156frpwiki
157furwiki
158fywikibooks
159gagwiki
160gawikibooks
161gawikiquote
162gawiktionary
163gdwiktionary
164glwikibooks
165glwikiquote
166glwikisource
167gnwiki
168gnwikibooks
169gnwiktionary
170gotwiki
171gotwikibooks
172grantswiki
173guwikibooks
174guwikiquote
175guwikisource
176guwiktionary
177gvwiktionary
178hakwiki
179hawiki
180hawiktionary
181hawwiki
182hewikinews
183hewikiquote
184hewikivoyage
185hiwikibooks
186hiwikiquote
187howiki
188hrwikibooks
189hrwikiquote
190hsbwiktionary
191htwikisource
192huwikinews
193huwikiquote
194hywikibooks
195hywikiquote
196hzwiki
197iawikibooks
198iawiktionary
199idwikibooks
200idwikiquote
201idwikisource
202iegcomwiki
203iewiki
204iewikibooks
205iewiktionary
206igwiki
207iiwiki
208ikwiki
209ikwiktionary
210ilwikimedia
211internalwiki
212iswikibooks
213iswikiquote
214iswikisource
215iuwiki
216iuwiktionary
217jawikiquote
218jawikisource
219jawikiversity
220jbowiki
221jbowiktionary
222kaawiki
223kabwiki
224kawikibooks
225kawikiquote
226kawiktionary
227kbdwiki
228kgwiki
229kiwiki
230kjwiki
231kkwikibooks
232kkwikiquote
233kkwiktionary
234klwiki
235klwiktionary
236kmwikibooks
237knwikibooks
238knwikiquote
239knwikisource
240koiwiki
241kowikibooks
242kowikinews
243kowikiquote
244kowikiversity
245krwiki
246krwikiquote
247kshwiki
248kswiki
249kswikibooks
250kswikiquote
251kswiktionary
252kuwikibooks
253kuwikiquote
254kvwiki
255kwwiki
256kwwikiquote
257kwwiktionary
258kywikibooks
259kywikiquote
260kywiktionary
261ladwiki
262lawikibooks
263lawikiquote
264lbewiki
265lbwikibooks
266lbwikiquote
267lezwiki
268lgwiki
269liwikibooks
270liwikiquote
271liwikisource
272lnwiki
273lnwikibooks
274lnwiktionary
275loginwiki
276lowiki
277ltgwiki
278ltwikibooks
279ltwikiquote
280ltwikisource
281lvwikibooks
282lvwiktionary
283mdfwiki
284mgwikibooks
285mhwiki
286mhwiktionary
287miwikibooks
288miwiktionary
289mkwikibooks
290mkwikimedia
291mkwikisource
292mkwiktionary
293mlwikibooks
294mlwikiquote
295mnwikibooks
296mnwiktionary
297movementroleswiki
298mowiki
299mowiktionary
300mrjwiki
301mrwikibooks
302mrwikiquote
303mrwikisource
304mrwiktionary
305mswikibooks
306mswiktionary
307mtwiktionary
308muswiki
309mwlwiki
310mxwikimedia
311myvwiki
312mywikibooks
313nahwikibooks
314nahwiktionary
315nawiki
316nawikibooks
317nawikiquote
318nawiktionary
319ndswikibooks
320ndswikiquote
321ndswiktionary
322newikibooks
323newiktionary
324ngwiki
325nlwikimedia
326nlwikinews
327nlwikiquote
328nlwikisource
329nnwikiquote
330noboard_chapterswikimedia
331novwiki
332nowikibooks
333nowikimedia
334nowikinews
335nowikiquote
336nrmwiki
337nsowiki
338nycwikimedia
339nywiki
340nzwikimedia
341ocwikibooks
342ombudsmenwiki
343omwiki
344omwiktionary
345orwiktionary
346otrs_wikiwiki
347outreachwiki
348pa_uswikimedia
349pagwiki
350papwiki
351pawikibooks
352pawiktionary
353pcdwiki
354pdcwiki
355pflwiki
356pihwiki
357piwiki
358piwiktionary
359plwikimedia
360plwikivoyage
361pnbwiktionary
362pntwiki
363pswikibooks
364ptwikiversity
365ptwikivoyage
366qualitywiki
367quwikibooks
368quwikiquote
369quwiktionary
370rmwiki
371rmwikibooks
372rmwiktionary
373rmywiki
374rnwiki
375rnwiktionary
376roa_rupwiki
377roa_rupwiktionary
378rowikibooks
379rowikinews
380rowikiquote
381rowikivoyage
382rswikimedia
383ruewiki
384ruwikibooks
385ruwikimedia
386ruwikivoyage
387rwwiki
388rwwiktionary
389sahwikisource
390sawikibooks
391sawikiquote
392sawiktionary
393scwiki
394scwiktionary
395sdwiki
396sdwikinews
397sdwiktionary
398searchcomwiki
399sewikibooks
400sewikimedia
401sgwiki
402sgwiktionary
403shwiktionary
404simplewikibooks
405simplewikiquote
406siwikibooks
407siwiktionary
408skwikibooks
409skwikiquote
410skwikisource
411skwiktionary
412slwikibooks
413slwikiquote
414slwikiversity
415smwiki
416smwiktionary
417snwiki
418snwiktionary
419sowiki
420sowiktionary
421spcomwiki
422sqwikibooks
423sqwikinews
424sqwikiquote
425srnwiki
426srwikibooks
427srwikiquote
428sswiki
429sswiktionary
430stewardwiki
431stqwiki
432stwiki
433stwiktionary
434suwikibooks
435suwikiquote
436suwiktionary
437svwikibooks
438svwikinews
439svwikiquote
440svwikiversity
441svwikivoyage
442swwikibooks
443szlwiki
444tawikibooks
445tawikinews
446tawikiquote
447tawikisource
448tenwiki
449test2wiki
450testwiki
451testwikidatawiki
452tetwiki
453tewikibooks
454tewikiquote
455tgwikibooks
456tgwiktionary
457thwikibooks
458thwikinews
459thwikiquote
460tiwiki
461tiwiktionary
462tkwikibooks
463tkwikiquote
464tkwiktionary
465tlwikibooks
466tnwiki
467tnwiktionary
468towiki
469towiktionary
470tpiwiki
471tpiwiktionary
472transitionteamwiki
473trwikibooks
474trwikimedia
475trwikinews
476tswiki
477tswiktionary
478ttwikibooks
479ttwikiquote
480ttwiktionary
481tumwiki
482twwiki
483twwiktionary
484tyvwiki
485tywiki
486uawikimedia
487udmwiki
488ugwiki
489ugwikibooks
490ugwikiquote
491ugwiktionary
492ukwikibooks
493ukwikimedia
494ukwikinews
495ukwikiquote
496ukwikivoyage
497urwikibooks
498urwikiquote
499usabilitywiki
500uzwikibooks
501uzwikiquote
502vecwikisource
503vecwiktionary
504vepwiki
505vewiki
506vewikimedia
507viwikibooks
508viwikiquote
509viwikivoyage
510votewiki
511vowikibooks
512vowikiquote
513wawikibooks
514wg_enwiki
515wikimania2005wiki
516wikimania2006wiki
517wikimania2007wiki
518wikimania2008wiki
519wikimania2009wiki
520wikimania2010wiki
521wikimania2011wiki
522wikimania2012wiki
523wikimania2013wiki
524wikimania2014wiki
525wikimaniateamwiki
526wowiki
527wowikiquote
528wowiktionary
529xalwiki
530xhwiki
531xhwikibooks
532xhwiktionary
533yiwikisource
534yiwiktionary
535yowikibooks
536yowiktionary
537zawiki
538zawikibooks
539zawikiquote
540zawiktionary
541zeawiki
542zh_min_nanwikibooks
543zh_min_nanwikiquote
544zh_min_nanwikisource
545zuwiki
546zuwikibooks
547zuwiktionary

Servers:

  • db2043
  • db2036
  • db2050
  • db2057
  • db2074
  • dbstore2002:3313
  • db1075
  • db1077
  • db1078
  • db1095
  • db1123

From s7: kowiki

Servers:

  • db2040
  • db2047
  • db2054
  • db2061
  • db2077
  • db2095
  • db2086
  • db2087
  • dbstore2001:3317
  • db1062
  • db1079
  • db1125
  • db1086
  • db1090
  • db1094
  • db1098
  • db1101

The rest of sections are clean (apart from the places where it is really used as described in T153638#4592556

Mentioned in SAL (#wikimedia-operations) [2018-09-18T09:37:38Z] <marostegui> Drop T153638_echo_XXX tables from db2057 - T153638

Mentioned in SAL (#wikimedia-operations) [2018-09-18T10:01:02Z] <marostegui> Rename echo_XXX tables on dbstore2002:3313 - T153638

Mentioned in SAL (#wikimedia-operations) [2018-09-18T10:09:26Z] <marostegui> Drop T153638_echo_XXX tables from dbstore2002:3313 - T153638

Mentioned in SAL (#wikimedia-operations) [2018-09-18T10:24:53Z] <marostegui> Rename echo_XXX tables on db1077 and db1078  - T153638

Mentioned in SAL (#wikimedia-operations) [2018-09-18T13:10:20Z] <marostegui> Drop T153638_echo_XXX tables from db1077 - T153638

Mentioned in SAL (#wikimedia-operations) [2018-09-18T13:24:16Z] <marostegui> Drop T153638_echo_XXX tables from db1078 - T153638

Mentioned in SAL (#wikimedia-operations) [2018-09-18T14:02:50Z] <marostegui> Drop T153638_echo_XXX tables from db1095:3313 - T153638

Change 461270 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-codfw.php: Depool db2057

https://gerrit.wikimedia.org/r/461270

Change 461270 merged by jenkins-bot:
[operations/mediawiki-config@master] db-codfw.php: Depool db2057

https://gerrit.wikimedia.org/r/461270

Mentioned in SAL (#wikimedia-operations) [2018-09-19T05:19:16Z] <marostegui> Drop echo tables from s7:kowiki - T153638

Mentioned in SAL (#wikimedia-operations) [2018-09-19T05:31:55Z] <marostegui> Drop echo tables from s3 db2074 - T153638

Marostegui closed this task as Resolved.Wed, Sep 19, 6:13 AM